## r-cran-setrng 2013.9

=== DESCRIPTION ===
Package: setRNG
Title: Set (Normal) Random Number Generator and Seed
Description: SetRNG provides utilities to help set and record the setting of
	the seed and the uniform and normal generators used when a random
	experiment is run. The utilities can be used in other functions 
	that do random experiments to simplify recording and/or setting all the 
	necessary information for reproducibility. 
	See the vignette and reference manual for examples.
Depends: R (>= 2.5.0)
Version: 2013.9-1
LazyLoad: yes
License: GPL-2 | file LICENSE
Author: Paul Gilbert <pgilbert.ttv9z@ncf.ca>
Maintainer: Paul Gilbert <pgilbert.ttv9z@ncf.ca>
URL: http://distr.r-forge.r-project.org/
Packaged: 2014-11-13 19:21:09 UTC; paul
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-11-25 09:04:33

## r-cran-setrng 2013.9-1

=== debian/changelog ===
r-cran-setrng (2013.9-1-3) unstable; urgency=medium

  * Team upload.
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 16 May 2020 09:17:53 +0200

r-cran-setrng (2013.9-1-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 25 Feb 2020 06:59:19 +0100

r-cran-setrng (2013.9-1-1) unstable; urgency=medium

  * Initial release (closes: #948995)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jan 2020 19:57:22 +0100

=== debian/control ===
Source: r-cran-setrng
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-setrng
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-setrng.git
Homepage: https://cran.r-project.org/package=setRNG
Rules-Requires-Root: no

Package: r-cran-setrng
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R set (normal) random number generator and seed
 SetRNG provides utilities to help set and record the setting of
 the seed and the uniform and normal generators used when a random
 experiment is run. The utilities can be used in other functions
 that do random experiments to simplify recording and/or setting all the
 necessary information for reproducibility.
 See the vignette and reference manual for examples.

## r-cran-setrng 2022.4

=== DESCRIPTION ===
Package: setRNG
Version: 2022.4-1
Title: Set (Normal) Random Number Generator and Seed
Description: Provides utilities to help set and record the setting of
	the seed and the uniform and normal generators used when a random
	experiment is run. The utilities can be used in other functions 
	that do random experiments to simplify recording and/or setting all the 
	necessary information for reproducibility. 
	See the vignette and reference manual for examples.
Depends: R (>= 2.5.0)
Imports: stats
LazyLoad: yes
License: GPL-2 | file LICENSE
Author: Paul Gilbert <pgilbert.ttv9z@ncf.ca>
Maintainer: Paul Gilbert <pgilbert.ttv9z@ncf.ca>
URL: http://distr.r-forge.r-project.org/
NeedsCompilation: no
Packaged: 2022-04-03 02:56:12 UTC; paul
Repository: CRAN
Date/Publication: 2022-04-03 14:40:02 UTC

## r-cran-setrng 2022.4-1

=== debian/changelog ===
r-cran-setrng (2022.4-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 22 May 2022 15:51:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-setrng
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-r,
-               r-base-dev
-Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-setrng
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-setrng.git
 Homepage: https://cran.r-project.org/package=setRNG
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-setrng
 Architecture: all

## r-cran-setrng 2024.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: setRNG
-Version: 2022.4-1
+Version: 2024.2-1
 Title: Set (Normal) Random Number Generator and Seed
 Description: Provides utilities to help set and record the setting of
 	the seed and the uniform and normal generators used when a random
@@ -15,6 +15,6 @@
 Maintainer: Paul Gilbert <pgilbert.ttv9z@ncf.ca>
 URL: http://distr.r-forge.r-project.org/
 NeedsCompilation: no
-Packaged: 2022-04-03 02:56:12 UTC; paul
+Packaged: 2024-02-17 20:24:10 UTC; paul
 Repository: CRAN
-Date/Publication: 2022-04-03 14:40:02 UTC
+Date/Publication: 2024-02-18 14:40:02 UTC

## r-cran-setrng 2024.2-1

=== debian/changelog ===
r-cran-setrng (2024.2-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 08:33:36 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-setrng
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-setrng.git
 Homepage: https://cran.r-project.org/package=setRNG
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/setRNG_([-\d.]*)\.tar\.gz
